create procedure sistema.sp_obtenerMenu
@numUsuario int
as
begin
	set nocount on;
	IF OBJECT_ID(N'tempdb..#roles_usuario') IS NOT NULL
		BEGIN
			DROP TABLE #roles_usuario;
		END

	create table #roles_usuario(
		rol int
	);

	insert into #roles_usuario select idRol from sistema.view_rolesUsuario where usuario = @numUsuario;

	select tipoContenedor tipoContenedor,idContenedor contenedor,tipoAsignacion tipoAsignacion,idAsignacion asignacion,tipoPermiso from sistema.datos_permisos where estado = 1 and (
		(tipoAsignacion = 'rol' and idAsignacion in(select rol from #roles_usuario))
		or
		(tipoAsignacion = 'usuario' and idAsignacion = @numUsuario)
	);

end